## org.eclipse.uml2.uml
Interface RemoveStructuralFeatureValueAction

All Superinterfaces:
  Action, ActivityNode, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, ExecutableNode, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement, StructuralFeatureAction, WriteStructuralFeatureAction

    public interface RemoveStructuralFeatureValueAction

extends WriteStructuralFeatureAction

A representation of the model object 'Remove Structural Feature Value Action'. A remove structural feature value action is a write structural feature action that removes values from structural features.

The following features are supported:

- `Is Remove Duplicates`
- `Remove At`

See Also:
  `UMLPackage.getRemoveStructuralFeatureValueAction()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`InputPin` `createRemoveAt(java.lang.String name, Type type)` Creates a new `InputPin`,with the specified 'Name', and 'Type', and sets the 'Remove At' containment reference
`InputPin` `createRemoveAt(java.lang.String name, Type type, org.eclipse.emf.ecore.EClass eClass)` Creates a new `InputPin`, with the specified 'Name', and 'Type', and sets the 'Remove At' containment reference
`InputPin` `getRemoveAt()` Returns the value of the 'Remove At' containment reference.
`boolean` `isRemoveDuplicates()` Returns the value of the 'Is Remove Duplicates' attribute.
`void` `setIsRemoveDuplicates(boolean value)` Sets the value of the '`Is Remove Duplicates`' attribute
`void` `setRemoveAt(InputPin value)` Sets the value of the '`Remove At`' containment reference
`boolean` `validateNonUniqueRemoval(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Actions removing a value from ordered nonunique structural features must have a single removeAt input pin if isRemoveDuplicates is false.

Methods inherited from interface org.eclipse.uml2.uml.WriteStructuralFeatureAction
`createValue, createValue, getValue, setValue, validateInputPin`

Methods inherited from interface org.eclipse.uml2.uml.StructuralFeatureAction
`createObject, createObject, getObject, getStructuralFeature, setObject, setStructuralFeature, validateMultiplicity, validateNotStatic, validateOneFeaturingClassifier, validateSameType, validateVisibility`

Methods inherited from interface org.eclipse.uml2.uml.Action
`createLocalPostcondition, createLocalPostcondition, createLocalPrecondition, createLocalPrecondition, getContext, getInput, getInput, getInputs, getLocalPostcondition, getLocalPostcondition, getLocalPostconditions, getLocalPrecondition, getLocalPrecondition, getLocalPreconditions, getOutput, getOutput, getOutputs`

Methods inherited from interface org.eclipse.uml2.uml.ExecutableNode
`createHandler, getHandlers`

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isRemoveDuplicates

    boolean isRemoveDuplicates()

  Returns the value of the 'Is Remove Duplicates' attribute. The default value is `"false"`. Specifies whether to remove duplicates of the value in nonunique structural features.

  Returns:
    the value of the 'Is Remove Duplicates' attribute.
  See Also:
    `setIsRemoveDuplicates(boolean)`, `UMLPackage.getRemoveStructuralFeatureValueAction_IsRemoveDuplicates()`

### setIsRemoveDuplicates

    void setIsRemoveDuplicates(boolean value)

  Sets the value of the '`Is Remove Duplicates`' attribute.

  Parameters:
    `value` - the new value of the 'Is Remove Duplicates' attribute.
  See Also:
    `isRemoveDuplicates()`

### getRemoveAt

    InputPin getRemoveAt()

  Returns the value of the 'Remove At' containment reference.

  This feature subsets the following features:

  - '`Input`'
  Specifies the position of an existing value to remove in ordered nonunique structural features. The type of the pin is UnlimitedNatural, but the value cannot be zero or unlimited.

  Returns:
    the value of the 'Remove At' containment reference.
  See Also:
    `setRemoveAt(InputPin)`, `UMLPackage.getRemoveStructuralFeatureValueAction_RemoveAt()`

### setRemoveAt

    void setRemoveAt(InputPin value)

  Sets the value of the '`Remove At`' containment reference.

  Parameters:
    `value` - the new value of the 'Remove At' containment reference.
  See Also:
    `getRemoveAt()`

### createRemoveAt

    InputPin createRemoveAt(java.lang.String name,
                            Type type,
                            org.eclipse.emf.ecore.EClass eClass)

  Creates a new `InputPin`, with the specified 'Name', and 'Type', and sets the 'Remove At' containment reference.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
    `eClass` - The Ecore class of the `InputPin` to create.
  Returns:
    The new `InputPin`.
  See Also:
    `getRemoveAt()`

### createRemoveAt

    InputPin createRemoveAt(java.lang.String name,
                            Type type)

  Creates a new `InputPin`,with the specified 'Name', and 'Type', and sets the 'Remove At' containment reference.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
  Returns:
    The new `InputPin`.
  See Also:
    `getRemoveAt()`

### validateNonUniqueRemoval

    boolean validateNonUniqueRemoval(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

  Actions removing a value from ordered nonunique structural features must have a single removeAt input pin if isRemoveDuplicates is false. It must be of type Unlimited Natural with multiplicity 1..1. Otherwise, the action has no removeAt input pin. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.